import QtQuick 2.12
import org.kde.plasma.core 2.0 as PlasmaCore

import org.kde.plasma.networkmanagement 0.2 as PlasmaNM
import org.kde.plasma.mm 1.0 as PlasmaMM
import org.kde.bluezqt 1.0 as BluezQt
import ru.astralinux.plasma.private.astraairplanemode 1.0
import ru.astralinux.plasma.private.astraswitchinerfeces 1.0
import org.kde.plasma.quicksetting.rndishost 1.0 as RndisHost

pragma Singleton

Item {
    id: root

    PlasmaNM.Handler {
        id: nmHandler
    }

    PlasmaNM.AvailableDevices {
        id: availableDevices
    }

    function enableBluetooth(inEnable) {
        BluezQt.Manager.bluetoothBlocked = !inEnable;
        AstraSwitchers.enableBluetooth(inEnable);
    }

    function enableWireless(inEnable) {
        nmHandler.enableWireless(inEnable);
    }

    function enableWwan(inEnable) {
        if (availableDevices.modemDeviceAvailable) {
            //nmHandler.enableWwan(inEnable);
            PlasmaMM.SignalIndicator.mobileDataEnabled = inEnable;
        }

        if (RndisHost.RndisHostUtil.deviceAvailable)
            RndisHost.RndisHostUtil.enabled = inEnable;
    }
}
