import QtQuick 2.0

import org.kde.plasma.private.mobileshell 1.0 as MobileShell

Item {
    id: root

    function isDesktopView() {
        return MobileShell.MobileShellSettings.isDesktopView
    }

    function fix(client) {
        client.geometryChanged.connect(() => {
            if (isDesktopView()) {
                // minimum window size is 150x150
                if (client.geometry.width < 150)
                    client.geometry.width = 150;
                if (client.geometry.height < 150)
                    client.geometry.height = 150;
            }
        });
    }

    Connections {
        target: workspace

        function onClientAdded(client) {
            if (isDesktopView() && client.normalWindow)
                root.fix(client);
        }
    }
}
