import QtQuick 2.15

import org.kde.plasma.networkmanagement 0.2 as PlasmaNM
import org.kde.plasma.mm 1.0 as PlasmaMM
import org.kde.plasma.private.mobileshell 1.0 as MobileShell
import org.kde.plasma.quicksetting.rndishost 1.0 as RndisHost

import ru.astralinux.plasma.private.kiosk 1.0

MobileShell.QuickSetting {
    PlasmaNM.Handler {
        id: nmHandler
    }

    readonly property bool rndisValid: RndisHost.RndisHostUtil.deviceAvailable && RndisHost.RndisHostUtil.simInserted

    text: i18nd("plasma_org.kde.plasma.quicksetting.rndishost", "Mobile Data")
    status: Kiosk.enable || !rndisValid ? "Not Available" : ""
    icon: "network-modem"
    function toggle() {
        RndisHost.RndisHostUtil.enabled = !RndisHost.RndisHostUtil.enabled;
        PlasmaMM.SignalIndicator.mobileDataEnabled = RndisHost.RndisHostUtil.enabled
//        AstraSwitchInerfeces.enableWireless(!enabledConnections.wirelessEnabled);
    }
    enabled: RndisHost.RndisHostUtil.enabled
}
